import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _taggedTemplateLiteral from "@babel/runtime/helpers/esm/taggedTemplateLiteral";

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  ", ";\n  background-color: #e7e8ea;\n  border: 1px solid #e7e8ea;\n  color: #2f3337;\n\n  &:hover {\n    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.2);\n  }\n\n  &:active {\n    background-color: #ced1d5;\n    border-color: #ced1d5;\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  ", ";\n  background-color: #0485cc;\n  border: 1px solid #0485cc;\n  color: #fff;\n\n  &:hover {\n    background-color: #0390de;\n    border-color: #0390de;\n    box-shadow: 0px 3px 4px rgba(0, 0, 0, 0.3);\n  }\n\n  &:active {\n    background-color: #026089;\n    border-color: #026089;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  padding: ", ";\n  border-radius: 1px;\n  font-size: ", ";\n  font-weight: 500;\n  cursor: pointer;\n\n  &:focus {\n    outline: none;\n  }\n\n  &:disabled,\n  &:disabled:hover {\n    background-color: transparent;\n    border: 1px solid #afb3ba;\n    color: #afb3ba;\n    box-shadow: none;\n    cursor: no-drop;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

import React from 'react';
import styled, { css } from 'styled-components';
import { Spinner } from './common';
var defaultProps = {
  color: 'primary',
  size: 'md'
};
var sizeToFontMap = {
  sm: '12px',
  md: '14px',
  lg: '14px'
};
var sizeToPaddingMap = {
  sm: '2px 8px',
  md: '6px 12px',
  lg: '8px 20px'
};
var baseButton = css(_templateObject(), function (props) {
  return sizeToPaddingMap[props.size];
}, function (props) {
  return sizeToFontMap[props.size];
});
var PrimaryButton = styled.button(_templateObject2(), baseButton);
var SecondaryButton = styled.button(_templateObject3(), baseButton);

var Button = function Button(_ref) {
  var children = _ref.children,
      color = _ref.color,
      isLoading = _ref.isLoading,
      rest = _objectWithoutProperties(_ref, ["children", "color", "isLoading"]);

  if (color === 'secondary') {
    return React.createElement(SecondaryButton, rest, children, isLoading && React.createElement(Spinner, null));
  }

  return React.createElement(PrimaryButton, rest, children, isLoading && React.createElement(Spinner, null));
};

Button.defaultProps = defaultProps;
export default Button;