import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import _taggedTemplateLiteral from "@babel/runtime/helpers/esm/taggedTemplateLiteral";

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  -webkit-appearance: none;\n  position: relative;\n  width: 16px;\n  height: 16px;\n  border: 1px solid #ced1d5;\n  border-radius: 2px;\n  outline: none;\n  cursor: pointer;\n\n  &::after {\n    content: '';\n    position: absolute;\n    right: 0;\n    bottom: 0;\n    display: block;\n    width: 16px;\n    height: 16px;\n    background: url(", ") no-repeat center;\n    background-size: 9px 7px;\n    visibility: hidden;\n  }\n\n  &:checked {\n    border: 1px solid #0485cc;\n    background: #0485cc;\n  }\n\n  &:checked::after {\n    visibility: visible;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

import React, { useState } from 'react';
import styled from 'styled-components';
import Check from '../assets/check.svg';
var StyledCheckbox = styled.input.attrs({
  type: 'checkbox'
})(_templateObject(), Check);

var Checkbox = function Checkbox(props) {
  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isChecked = _useState2[0],
      setIsChecked = _useState2[1];

  var handleChange = function handleChange() {
    setIsChecked(!isChecked);
  };

  return React.createElement(StyledCheckbox, Object.assign({
    checked: isChecked,
    onChange: handleChange
  }, props));
};

export default Checkbox;