import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import _taggedTemplateLiteral from "@babel/runtime/helpers/esm/taggedTemplateLiteral";

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  cursor: pointer;\n  .outer {\n    display: flex;\n    align-items: center;\n    width: ", ";\n    height: ", ";\n    border: 1px solid #ced1d5;\n    border-radius: 14px;\n    background-color: ", ";\n  }\n\n  .inner {\n    width: ", ";\n    height: ", ";\n    border-radius: 50%;\n    background: #fff;\n    transition: transform 0.2s ease-in;\n\n    transform: ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

import React, { useState } from 'react';
import styled from 'styled-components';
import { FlexRow } from './common';
var defaultProps = {
  size: 'md'
};
var sizeToDimensionsMap = {
  sm: {
    x: '22px',
    y: '12px',
    inner: '8px',
    translate: '11px'
  },
  md: {
    x: '40px',
    y: '24px',
    inner: '20px',
    translate: '18px'
  },
  lg: {
    x: '60px',
    y: '30px',
    inner: '26px',
    translate: '32px'
  }
};
var Container = styled(FlexRow)(_templateObject(), function (props) {
  return sizeToDimensionsMap[props.size].x;
}, function (props) {
  return sizeToDimensionsMap[props.size].y;
}, function (props) {
  return props.isToggled ? '#2DD055' : '#ced1d5';
}, function (props) {
  return sizeToDimensionsMap[props.size].inner;
}, function (props) {
  return sizeToDimensionsMap[props.size].inner;
}, function (props) {
  return props.isToggled ? "translateX(".concat(sizeToDimensionsMap[props.size].translate, ")") : 'tramslateX(0)';
});

var Switch = function Switch(props) {
  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isToggled = _useState2[0],
      setIsToggled = _useState2[1];

  var handleClick = function handleClick() {
    setIsToggled(!isToggled);
  };

  return React.createElement(Container, Object.assign({
    onClick: handleClick,
    isToggled: isToggled
  }, props), React.createElement("div", {
    className: "outer"
  }, React.createElement("div", {
    className: "inner"
  })));
};

Switch.defaultProps = defaultProps;
export default Switch;